#
# spec file for package python-pypandoc
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}

Name:           python-pypandoc
Version:        1.4
Release:        2.1
Summary:        Thin wrapper for pandoc
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/bebraw/pypandoc
Source:         https://pypi.org/packages/source/p/pypandoc/pypandoc-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  pandoc
BuildRequires:  python-rpm-macros
Requires:       pandoc
BuildArch:      noarch

%python_subpackages

%description

pypandoc provides a thin wrapper for pandoc, a universal document converter.

%prep
%setup -q -n pypandoc-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%doc LICENSE README.md
%{python_sitelib}/*

%changelog
* Wed Aug 16 2017 daniel.molkentin@suse.com
- Add fdupes
* Tue Aug 15 2017 daniel.molkentin@suse.com
- Update to 1.4
- Convert to single spec
- Ran spec cleaner
* Tue Jan 24 2017 termim@gmail.com
- Initial check in version 1.3.3
